/**
 * Copyright &copy; 2015-2020 <a href="http://www.jeeplus.org/">JeePlus</a> All rights reserved.
 */
package com.jeeplus.modules.sys.entity;


import com.jeeplus.common.persistence.DataEntity;
import com.jeeplus.common.utils.excel.annotation.ExcelField;
import com.jeeplus.modules.workactivity.entity.Activity;

import java.util.List;

/**
 * 工作流角色信息Entity
 * @author 杨帆
 * @version 2018-04-23
 */
public class SysRoleActivity extends DataEntity<SysRoleActivity> {
	
	private static final long serialVersionUID = 1L;
	private String name;		// 工作流角色名称
	private String enname;		// 工作流角色别名
	private String companyId;		// 工作流角色别名
	private String sort; //编码
	private String type;//角色类型（0：公司，1：上级分公司，2：部门，4:当前分公司）
	private String roleId;
	private String delType;//是否允许删除 0允许 1不允许
	private String branchCompanyId;//分公司id
	private List<Activity> activityList;
	private List<Role> roleList;

	public SysRoleActivity() {
		super();
		this.delType = "0";
	}

	public SysRoleActivity(String id){
		super(id);
	}

	@ExcelField(title="工作流角色名称", align=2, sort=7)
	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}
	
	@ExcelField(title="工作流角色别名", align=2, sort=8)
	public String getEnname() {
		return enname;
	}

	public void setEnname(String enname) {
		this.enname = enname;
	}

	public String getCompanyId() {
		return companyId;
	}

	public void setCompanyId(String companyId) {
		this.companyId = companyId;
	}

	public String getSort() {
		return sort;
	}

	public void setSort(String sort) {
		this.sort = sort;
	}

	public String getType() {
		return type;
	}

	public void setType(String type) {
		this.type = type;
	}

	public String getRoleId() {
		return roleId;
	}

	public void setRoleId(String roleId) {
		this.roleId = roleId;
	}

	public String getDelType() {
		return delType;
	}

	public void setDelType(String delType) {
		this.delType = delType;
	}

	public String getBranchCompanyId() {
		return branchCompanyId;
	}

	public void setBranchCompanyId(String branchCompanyId) {
		this.branchCompanyId = branchCompanyId;
	}

	public List<Activity> getActivityList() {
		return activityList;
	}

	public void setActivityList(List<Activity> activityList) {
		this.activityList = activityList;
	}

	public List<Role> getRoleList() {
		return roleList;
	}

	public void setRoleList(List<Role> roleList) {
		this.roleList = roleList;
	}
}